Service Groups
Update Service Group Template Inputs
Edit a deployed template's inputs (domains, sizes, variables), re-applying to the underlying services.
Edit a deployed template's inputs (domains, sizes, variables), re-applying to the underlying services.
Authorization
bearerAuth AuthorizationBearer <token>
Access token or API key (unb_...) passed as Authorization: Bearer <token>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
environment_id*string
The ID of the environment
Format
uuidid*string
The ID of the service group
Format
uuidinputs*array<>|
Template input values to update
project_id*string
The ID of the project
Format
uuidteam_id*string
The ID of the team
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/service_groups/template-inputs" \ -H "Content-Type: application/json" \ -d '{ "environment_id": "40ef0e48-a11f-4963-a229-e396c9f7e7c4", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "inputs": [ { "id": "string", "value": "string" } ], "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9", "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba" }'{ "data": { "inputs": [ { "current_value": "string", "current_value_gb": 0.1, "default": "string", "default_gb": 0.1, "description": "string", "editable": true, "editable_reason": "string", "hidden": true, "id": "string", "name": "string", "port_protocol": "TCP", "required": true, "service_id": "641e839f-864e-4cce-98f9-40f6cbb3e9e0", "target_port": 0, "type": "variable", "volume": { "mountPath": "string", "name": "string" } } ], "service_group_id": "104f616c-7810-45eb-93cf-a187d0f2d35a", "template_id": "c6d67e98-83ea-49f0-8812-e4abae2b68bc", "version": 0 }}